    
          SigmaTotal
          ========== 

The SigmaTotal class returns the total, elastic, diffractive and
nondiffractive cross sections in hadronic collisions, and also the
slopes of the d(sigma)/dt distributions. The parametrizations used 
are from [1] which borrows some of the total cross sections from
[2].

The allowed combinations of incoming particles are p + p, pbar + p, 
pi+ + p, pi- + p, pi0/rho0 + p, phi + p, J/psi + p, rho + rho, 
rho + phi, rho + J/psi, phi + phi, phi + J/psi, J/psi + J/psi.   
The strong emphasis on vector mesons is related to the description
of gamma + p and gamma + gamma interactions in a Vector Dominance
Model framework (which will not be available for some time to come,
so this is a bit of overkill).

---------------------------------------------------------------------- 

   Variables
   ---------

If the cross section parametrizations are not satisfactory, it is 
possible to override the cross section values (but currently not the
t slopes), with 

<flag> SigmaTotal:setOwn = no
Allow a user to set own cross sections by hand; yes/no = true/false.

When SigmaTotal:setOwn = yes, the user is expected to set values for 
the corresponding cross sections:

<parameter> SigmaTotal:sigmaTot = 80. min = 0.
Total cross section in mb.

<parameter> SigmaTotal:sigmaEl = 20. min = 0.
Elastic cross section in mb.

<parameter> SigmaTotal:sigmaXB = 8. min = 0.
Single Diffractive cross section A + B -> X + B in mb.

<parameter> SigmaTotal:sigmaAX = 8. min = 0.
Single Diffractive cross section A + B -> A + X in mb.

<parameter> SigmaTotal:sigmaXX = 4. min = 0.
Double Diffractive cross section A + B -> X + X in mb.

Note that the total cross section subtracted by the elastic and various 
diffractive ones gives the inelastic nondiffractive cross section, 
which therefore is not set separately. If this cross section evaluates 
to be negative the internal parametrizations are used instead of the 
ones here. However, since the nondiffractive inelastic cross section 
is what makes up (most) minimum bias events, and plays a major role in 
the description of multiple interactions, it is important that a 
consistent set is used. 
   
---------------------------------------------------------------------- 

References
 
[1] G.A. Schuler and T. Sjstrand, Phys. Rev. D49 (1994) 2257,
    Z. Phys. C73 (1997) 677 

[2] A. Donnachie and P.V. Landshoff, Phys. Lett. B296 (1992) 227
 

---------------------------------------------------------------------- 

Copyright  2005 Torbjrn Sjstrand
