    
          StandardModel
          ============= 

Currently the only class in this file is AlphaStrong, which is used to 
provide a first- or second-order running alpha_strong (or, trivially,
a zeroth-order fixed one). Formulae are the standard ones found in [1].
The starting alpha_strong value is defined at the M_Z mass scale.
The Lambda values are matched at the b and c flavour thresholds, such 
that alpha_strong is continuous, using an approximate iterative method
for second-order matching.
Since we allow alpha_strong to vary separately for timelike showers, 
spacelike showers and  multiple interactions, the relevant values are 
to be set in each of these classes. 

---------------------------------------------------------------------- 

    Methods
    -------
 
The alpha_strong calculation is initialized by 
AlphaStrong::init( value, order), where value is the alpha_strong
value at M_Z and order is the order of the running, 0, 1 or 2.   
Thereafter the value can be calculated by alphaS(scale), where 
scale is the Q2 scale in GeV2. 

For applications inside shower programs, a second-order alpha_s value
can be obtained as the product of the two functions alphaS1Ord(scale)
and alphaS2OrdCorr(scale), where the first gives a simple first-order
running (but with the second-order Lambda) and the second the 
correction factor, below unity, for the second-order terms. This 
allows a compact handling of evolution equations.

---------------------------------------------------------------------- 

    Constants
    ---------

In addition, this man file contains a few further parameters that should
normally not be touched.

<parameter> StandardModel:alphaEMfix = 0.00729735 min = 0.00729 max = 0.00730
Fixed alpha_em value used in QED vertices. 

<parameter> StandardModel:sin2thetaW = 0.232 min = 0.225 max = 0.240
The weak mixing angle.

---------------------------------------------------------------------- 

References

[1] Particle Data Group, S. Eidelman et al., 
    Phys. Lett. B592 (2004) 1

---------------------------------------------------------------------- 

Copyright  2005 Torbjrn Sjstrand
